GraphicsConfigurationWithoutTransparency
Date: 2016-04-28

org.apache.xmlgraphics.java2d

## Class GraphicsConfigurationWithoutTransparency

- java.lang.Object
- - java.awt.GraphicsConfiguration
  - - org.apache.xmlgraphics.java2d.AbstractGraphicsConfiguration
    - - org.apache.xmlgraphics.java2d.GraphicsConfigurationWithoutTransparency

-     public class GraphicsConfigurationWithoutTransparency
      extends AbstractGraphicsConfiguration

  An implementation of `GraphicsConfiguration` that does not support transparencies (alpha channels).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsConfigurationWithoutTransparency()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.BufferedImage` | `createCompatibleImage(int width, int height)`
    `java.awt.image.BufferedImage` | `createCompatibleImage(int width, int height, int transparency)`
    `java.awt.Rectangle` | `getBounds()`
    `java.awt.image.ColorModel` | `getColorModel()`
    `java.awt.image.ColorModel` | `getColorModel(int transparency)`
    `java.awt.geom.AffineTransform` | `getDefaultTransform()`
    `java.awt.GraphicsDevice` | `getDevice()`
    `java.awt.geom.AffineTransform` | `getNormalizingTransform()`

    - ### Methods inherited from class org.apache.xmlgraphics.java2d.AbstractGraphicsConfiguration

      `createCompatibleVolatileImage, createCompatibleVolatileImage`

    - ### Methods inherited from class java.awt.GraphicsConfiguration

      `createCompatibleVolatileImage, createCompatibleVolatileImage, getBufferCapabilities, getImageCapabilities, isTranslucencyCapable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphicsConfigurationWithoutTransparency

          public GraphicsConfigurationWithoutTransparency()

  - ### Method Detail

    - #### getDevice

          public java.awt.GraphicsDevice getDevice()

      Specified by:
        `getDevice` in class `java.awt.GraphicsConfiguration`

    - #### createCompatibleImage

          public java.awt.image.BufferedImage createCompatibleImage(int width,
                                                           int height)

      Overrides:
        `createCompatibleImage` in class `java.awt.GraphicsConfiguration`

    - #### createCompatibleImage

          public java.awt.image.BufferedImage createCompatibleImage(int width,
                                                           int height,
                                                           int transparency)

      Overrides:
        `createCompatibleImage` in class `java.awt.GraphicsConfiguration`

    - #### getColorModel

          public java.awt.image.ColorModel getColorModel()

      Specified by:
        `getColorModel` in class `java.awt.GraphicsConfiguration`

    - #### getColorModel

          public java.awt.image.ColorModel getColorModel(int transparency)

      Specified by:
        `getColorModel` in class `java.awt.GraphicsConfiguration`

    - #### getDefaultTransform

          public java.awt.geom.AffineTransform getDefaultTransform()

      Specified by:
        `getDefaultTransform` in class `java.awt.GraphicsConfiguration`

    - #### getNormalizingTransform

          public java.awt.geom.AffineTransform getNormalizingTransform()

      Specified by:
        `getNormalizingTransform` in class `java.awt.GraphicsConfiguration`

    - #### getBounds

          public java.awt.Rectangle getBounds()

      Specified by:
        `getBounds` in class `java.awt.GraphicsConfiguration`